Bug 124110 - autofs fails to mount ext3 filesystems
autofs fails to mount ext3 filesystems
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey Moyer
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-24 02:28 EDT by Julian C. Dunn
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: autofs
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-20 02:22:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Julian C. Dunn 2004-05-24 02:28:37 EDT
Description of problem:

The autofs automounter cannot mount ext3 filesystems. It claims
"filesystem needs repair, won't mount" even when the filesystem is clean.

Version-Release number of selected component (if applicable):

autofs-4.1.2-2

How reproducible:

Attempt to mount an ext3 filesystem which is mapped in an autofs map.
It will fail. An iso9660 filesystem works (i.e. a CD).

Steps to Reproduce:
1. Add a line like this to /etc/auto.master:

/local          /etc/auto.local --timeout 60

2. In /etc/auto.local, have a line like this:

l1      -fstype=ext3,rw :/dev/hda2

3. Make sure /dev/hda2 is clean by running fsck manually. Now try to
trigger automounting by changing to /local/l1.
  
Actual results:

May 24 02:17:52 XXXXX automount[29612]: mount(ext2): /dev/hda2:
filesystem needs repair, won't mount
May 24 02:17:52 XXXXX automount[29612]: failed to mount /local/l1

Expected results:

  Filesystem is mounted.

Additional info:
Comment 1 Jeffrey Moyer 2004-05-24 10:41:55 EDT
Try autofs-4.1.2-6 from:
  http://people.redhat.com/~jmoyer/

-Jeff
Comment 2 Julian C. Dunn 2004-05-24 11:10:21 EDT
Excellent, that worked. Thanks!
Comment 3 Matthew Miller 2004-09-19 12:31:05 EDT
Can this be pushed out as a fix, then? Thanks.
Comment 4 Marius Andreiana 2005-08-20 02:22:46 EDT
FC4 has version autofs 4.1.4. FC2 is no longer supported

Note You need to log in before you can comment on or make changes to this bug.